## cwltool 1.0.20170111193653

=== Makefile ===
# This file is part of cwltool,
# https://github.com/common-workflow-language/cwltool/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make pep8 to check for basic Python code compliance
# make autopep8 to fix most pep8 errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=cwltool

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
DEVPKGS=pep8 diff_cover autopep8 pylint coverage pep257 flake8
DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pep257 sloccount python-flake8
VERSION=1.0.$(shell date +%Y%m%d%H%M%S --date=`git log --first-parent \
	--max-count=1 --format=format:%cI`)
mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

## all         : default task
all:
	./setup.py develop

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep:
	pip install --upgrade $(DEVPKGS)

## install-deb-dep: install most of the dev dependencies via apt-get
install-deb-dep:
	sudo apt-get install $(DEBDEVPKGS)

## install     : install the ${MODULE} module and schema-salad-tool
install: FORCE
	./setup.py build install

## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	./setup.py sdist

## clean       : clean up all temporary / machine-generated files
clean: FORCE
	rm -f ${MODILE}/*.pyc tests/*.pyc
	./setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

## pep8        : check Python code style
pep8: $(PYSOURCES)
	pep8 --exclude=_version.py  --show-source --show-pep8 $^ || true

pep8_report.txt: $(PYSOURCES)
	pep8 --exclude=_version.py $^ > pep8_report.txt || true

diff_pep8_report: pep8_report.txt
	diff-quality --violations=pep8 pep8_report.txt

## pep257      : check Python code style
pep257: $(PYSOURCES)
	pep257 --ignore=D100,D101,D102,D103 $^ || true

pep257_report.txt: $(PYSOURCES)
	pep257 setup.py $^ > pep257_report.txt 2>&1 || true

diff_pep257_report: pep257_report.txt
	diff-quality --violations=pep8 pep257_report.txt

## autopep8    : fix most Python code indentation and formatting
autopep8: $(PYSOURCES)
	autopep8 --recursive --in-place --ignore E309 $^

# A command to automatically run astyle and autopep8 on appropriate files
## format      : check/fix all code indentation and formatting (runs autopep8)
format: autopep8
	# Do nothing

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ || true

pylint_report.txt: ${PYSOURCES}
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ > pylint_report.txt || true

diff_pylint_report: pylint_report.txt
	diff-quality --violations=pylint pylint_report.txt

.coverage: $(PYSOURCES) all
	export COVERAGE_PROCESS_START=${mkfile_dir}.coveragerc; \
	       cd ${CWL}; ./run_test.sh RUNNER=cwltool
	coverage run setup.py test
	coverage combine ${CWL} ${CWL}/draft-3/ ./

coverage.xml: .coverage
	python-coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	python-coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	python-coverage report

diff-cover: coverage-gcovr.xml coverage.xml
	diff-cover coverage-gcovr.xml coverage.xml

diff-cover.html: coverage-gcovr.xml coverage.xml
	diff-cover coverage-gcovr.xml coverage.xml \
		--html-report diff-cover.html

## test        : run the ${MODULE} test suite
test: FORCE
	./setup.py test

sloccount.sc: ${PYSOURCES} Makefile
	sloccount --duplicates --wide --details $^ > sloccount.sc

## sloccount   : count lines of code
sloccount: ${PYSOURCES} Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'


mypy: ${PYSOURCES}
	rm -Rf typeshed/2.7/ruamel/yaml
	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
		typeshed/2.7/ruamel/yaml
	rm -Rf typeshed/2.7/schema_salad
	ln -s $(shell python -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
		typeshed/2.7/schema_salad
	MYPYPATH=typeshed/2.7 mypy --py2 --disallow-untyped-calls \
		 --warn-redundant-casts --warn-unused-ignores --fast-parser \
		 cwltool

FORCE:

## cwltool 1.0.20160209222805

=== debian/changelog ===
cwltool (1.0.20160209222805-1) unstable; urgency=medium

  * Initial release. (Closes: #814000)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Mon, 22 Feb 2016 21:22:21 +0100

=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-all,
               python-setuptools,
               python-rdflib-jsonld,
               python-schema-salad,
               python-shellescape,
               python-html5lib,
               python-sparqlwrapper,
               help2man
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
Homepage: http://www.commonwl.org
X-Python-Version: >= 2.7

Package: cwltool
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: Common workflow language reference implementation
 This is the reference implementation of the Common Workflow Language. It is
 intended to be feature complete and provide comprehensive validation of CWL
 files as well as provide other tools related to working with CWL.
 .
 This is written and tested for Python 2.7.
 .
 The reference implementation consists of two packages. The "cwltool" package
 is the primary Python module containing the reference implementation in the
 "cwltool" module and console executable by the same name.
 .
 The "cwl-runner" package is optional and provides an additional entry point
 under the alias "cwl-runner", which is the implementation-agnostic name for the
 default CWL interpreter installed on a host.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export PYBUILD_NAME=cwltool
export PYBUILD_DISABLE=test
export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --with python2 --buildsystem=pybuild

debian/cwltool.1: debian/rules debian/cwltool.help2man
	python2 setup.py develop --user
	#help2man cwltool/main.py -I debian/cwltool.help2man -N -n "Reference executor for Common Workflow Language" -o debian/cwltool.1
	help2man cwltool/main.py -I debian/cwltool.help2man -N -o debian/cwltool.1
debian/cwltest.1: debian/rules debian/cwltest.help2man
	help2man cwltool/cwltest.py -I debian/cwltest.help2man -N -o debian/cwltest.1 --version-string "$$(dpkg-parsechangelog  | grep Version:  | cut -f2 -d\ )"

override_dh_installman: debian/cwltest.1 debian/cwltool.1
	dh_installman

override_dh_clean:
	dh_clean
	rm -f debian/cwltest.1 debian/cwltool.1
	rm -rf fakehome

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cwltool/cwltool-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cwltool 1.0.20170111193653

=== debian/changelog ===
cwltool (1.0.20170111193653-1) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * New upstream release 

  [ Andreas Tille ]
  * Add missing Build-Depends: python-keepalive
    Closes: #845982
  * d/watch: version=4
  * debhelper 10
  * Add python-typing as Build-Depends and comment patch to skip it
  * Do not try to create manpage for removed tool cwltest
    Closes: #848809
  * Remove empty template for upstream metadata
  * Add Build-Depends: python-ruamel.yaml (>=0.12.4)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Jan 2017 21:29:55 -0800

## cwltool 1.0.20170114120503

=== debian/changelog ===
cwltool (1.0.20170114120503-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add cwltool as an alternative implementation for cwl-runner.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Jan 2017 12:49:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cwltool
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-all,
@@ -13,8 +13,11 @@
                python-shellescape,
                python-html5lib,
                python-sparqlwrapper,
+               python-keepalive,
+               python-typing,
+               python-ruamel.yaml (>=0.12.4),
                help2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export PYBUILD_NAME=cwltool
export PYBUILD_DISABLE=test
export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	#find cwltool -name "*.py" | xargs sed -i 's/.*typing.*/#&/g'
	dh_auto_build

debian/cwltool.1: debian/rules debian/cwltool.help2man
	python2 setup.py develop --user
	#help2man cwltool/main.py -I debian/cwltool.help2man -N -n "Reference executor for Common Workflow Language" -o debian/cwltool.1
	help2man 'python -m cwltool' -I debian/cwltool.help2man -N -o debian/cwltool.1

override_dh_installman: debian/cwltool.1
	dh_installman

override_dh_clean:
	dh_clean
	rm -f debian/cwltool.1
	#find cwltool -name "*.py" | xargs sed -i 's/#\(.*typing.*\)/\1/g'

## cwltool 1.0.20170810192106

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=pep8 diff_cover autopep8 pylint coverage pep257 flake8
-DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pep257 sloccount python-flake8
+DEVPKGS=pep8 diff_cover autopep8 pylint coverage pydocstyle flake8 pytest isort mock
+DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount python-flake8 python-mock
 VERSION=1.0.$(shell date +%Y%m%d%H%M%S --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
@@ -50,7 +50,7 @@
 
 ## install     : install the ${MODULE} module and schema-salad-tool
 install: FORCE
-	./setup.py build install
+	pip install .
 
 ## dist        : create a module package for distribution
 dist: dist/${MODULE}-$(VERSION).tar.gz
@@ -65,6 +65,11 @@
 	rm -Rf .coverage
 	rm -f diff-cover.html
 
+# Linting and code style related targets
+## sorting imports using isort: https://github.com/timothycrosley/isort
+sort_imports:
+	isort ${MODULE}/*.py tests/*.py setup.py
+
 ## pep8        : check Python code style
 pep8: $(PYSOURCES)
 	pep8 --exclude=_version.py  --show-source --show-pep8 $^ || true
@@ -75,15 +80,16 @@
 diff_pep8_report: pep8_report.txt
 	diff-quality --violations=pep8 pep8_report.txt
 
-## pep257      : check Python code style
-pep257: $(PYSOURCES)
-	pep257 --ignore=D100,D101,D102,D103 $^ || true
+pep257: pydocstyle
+## pydocstyle      : check Python code style
+pydocstyle: $(PYSOURCES)
+	pydocstyle --ignore=D100,D101,D102,D103 $^ || true
 
-pep257_report.txt: $(PYSOURCES)
-	pep257 setup.py $^ > pep257_report.txt 2>&1 || true
+pydocstyle_report.txt: $(PYSOURCES)
+	pydocstyle setup.py $^ > pydocstyle_report.txt 2>&1 || true
 
-diff_pep257_report: pep257_report.txt
-	diff-quality --violations=pep8 pep257_report.txt
+diff_pydocstyle_report: pydocstyle_report.txt
+	diff-quality --violations=pep8 $^
 
 ## autopep8    : fix most Python code indentation and formatting
 autopep8: $(PYSOURCES)
@@ -147,15 +153,26 @@
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
 
-mypy: ${PYSOURCES}
-	rm -Rf typeshed/2.7/ruamel/yaml
+mypy2: ${PYSOURCES}
+	rm -Rf typeshed/2and3/ruamel/yaml
 	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-		typeshed/2.7/ruamel/yaml
-	rm -Rf typeshed/2.7/schema_salad
+		typeshed/2and3/ruamel/yaml
+	rm -Rf typeshed/2and3/schema_salad
 	ln -s $(shell python -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
-		typeshed/2.7/schema_salad
-	MYPYPATH=typeshed/2.7 mypy --py2 --disallow-untyped-calls \
-		 --warn-redundant-casts --warn-unused-ignores --fast-parser \
+		typeshed/2and3/schema_salad
+	MYPYPATH=$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
+		 --warn-redundant-casts \
+		 cwltool
+
+mypy3: ${PYSOURCES}
+	rm -Rf typeshed/2and3/ruamel/yaml
+	ln -s $(shell python3 -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
+		typeshed/2and3/ruamel/yaml
+	rm -Rf typeshed/2and3/schema_salad
+	ln -s $(shell python3 -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
+		typeshed/2and3/schema_salad
+	MYPYPATH=$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
+		 --warn-redundant-casts \
 		 cwltool
 
 FORCE:

=== debian/changelog ===
cwltool (1.0.20170810192106-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * d/upstream/metadata: Fix Syntax
  * Standards-Version: 4.1.0
  * This version has no restriction on python-typing version any more
    Closes: #868614

  [ Fabian Klötzl ]
  * d/upstream/metadata: Fix Bug-Submit URL (closes: #874355)

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 20 Sep 2017 12:10:17 +0200

cwltool (1.0.20170810192106-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to registry databases,
    to SciCrunch SCR_015528 in particular
  * Added build-dep on python-rdflib
  * Bumped policy to 4.0.1

  [ Sascha Steinbiss ]
  * Add missing build-dep on python-avro.

  [ Michael R. Crusoe ]
  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 11 Aug 2017 05:05:36 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
                dh-python,
                python,
                python-all,
+               python-avro,
                python-setuptools,
+               python-rdflib,
                python-rdflib-jsonld,
                python-schema-salad,
                python-shellescape,
@@ -17,7 +19,7 @@
                python-typing,
                python-ruamel.yaml (>=0.12.4),
                help2man
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org

## cwltool 1.0.20171221100033

=== debian/changelog ===
cwltool (1.0.20171221100033-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Versioned Build-Depends: python-schema-salad (>= 2.6.20171201034858-2~)
  * New Build-Depends: python-ruamel.ordereddict
  * Drop unneeded ruamel.yaml version check
    Closes: #882437
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:32:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
                python-setuptools,
                python-rdflib,
                python-rdflib-jsonld,
-               python-schema-salad,
+               python-schema-salad (>= 2.6.20171201034858-2~),
                python-shellescape,
                python-html5lib,
                python-sparqlwrapper,
                python-keepalive,
                python-typing,
-               python-ruamel.yaml (>=0.12.4),
+               python-ruamel.yaml,
+               python-ruamel.ordereddict,
                help2man
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org

## cwltool 1.0.20180211183944

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	pydocstyle setup.py $^ > pydocstyle_report.txt 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --violations=pep8 $^
+	diff-quality --violations=pycodestyle $^
 
 ## autopep8    : fix most Python code indentation and formatting
 autopep8: $(PYSOURCES)
@@ -160,7 +160,7 @@
 	rm -Rf typeshed/2and3/schema_salad
 	ln -s $(shell python -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
 		typeshed/2and3/schema_salad
-	MYPYPATH=$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
+	MYPYPATH=$$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 cwltool
 
@@ -171,8 +171,22 @@
 	rm -Rf typeshed/2and3/schema_salad
 	ln -s $(shell python3 -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
 		typeshed/2and3/schema_salad
-	MYPYPATH=$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
+	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 cwltool
 
+release: FORCE
+	./release-test.sh
+	. testenv2/bin/activate && \
+		testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
+		pip install twine && \
+		twine upload testenv2/src/${MODULE}/dist/* && \
+		git tag ${VERSION} && git push --tags
+
 FORCE:
+
+# Use this to print the value of a Makefile variable
+# Example `make print-VERSION`
+# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
+print-%  : ; @echo $* = $($*)
+

=== debian/changelog ===
cwltool (1.0.20180211183944-1) unstable; urgency=medium

  * New upstream version.
  * Expose the unit tests to autopkgtest
  * Mark all *.cwl files as executable

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 11:00:57 -0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python-ruamel.yaml,
                python-ruamel.ordereddict,
                help2man
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
 Homepage: http://www.commonwl.org

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export PYBUILD_NAME=cwltool
export PYBUILD_DISABLE=test
export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --with python2 --buildsystem=pybuild

debian/cwltool.1: debian/rules debian/cwltool.help2man
	python2 setup.py develop --user
	#help2man cwltool/main.py -I debian/cwltool.help2man -N -n "Reference executor for Common Workflow Language" -o debian/cwltool.1
	help2man 'python -m cwltool' -I debian/cwltool.help2man -N -o debian/cwltool.1

override_dh_installman: debian/cwltool.1
	dh_installman

=== debian/tests/control ===
Tests: run-tests
Depends: @, python-pytest
Restrictions: allow-stderr

## cwltool 1.0.20180225105849

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,8 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
 DEVPKGS=pep8 diff_cover autopep8 pylint coverage pydocstyle flake8 pytest isort mock
-DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount python-flake8 python-mock
+DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
+	   python-flake8 python-mock shellcheck
 VERSION=1.0.$(shell date +%Y%m%d%H%M%S --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
@@ -56,7 +57,7 @@
 dist: dist/${MODULE}-$(VERSION).tar.gz
 
 dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
-	./setup.py sdist
+	./setup.py sdist bdist_wheel
 
 ## clean       : clean up all temporary / machine-generated files
 clean: FORCE

=== debian/changelog ===
cwltool (1.0.20180225105849-1) unstable; urgency=medium

  * New upstream release
  * Improve package description.
  * Add python-mock dependency for AutoPkgTests.
  * Enable running the tests during the build.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 28 Feb 2018 04:48:16 -0800

cwltool (1.0.20180211183944-2) unstable; urgency=medium

  * Provide the "cwl-runner" virtual package.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Feb 2018 05:27:36 -0800

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 DH_VERBOSE := 1
 
 export PYBUILD_NAME=cwltool
-export PYBUILD_DISABLE=test
+export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py develop
+export PYBUILD_TEST_ARGS=-k 'not test_http_path_mapping and not test_pack' --ignore cwltool/schemas/ --pyarg cwltool
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:

## cwltool 1.0.20180302231433

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DEVPKGS=pep8 diff_cover autopep8 pylint coverage pydocstyle flake8 pytest isort mock
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
-VERSION=1.0.$(shell date +%Y%m%d%H%M%S --date=`git log --first-parent \
+VERSION=1.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
 
@@ -190,4 +190,3 @@
 # Example `make print-VERSION`
 # From https://www.cmcrossroads.com/article/printing-value-makefile-variable
 print-%  : ; @echo $* = $($*)
-

=== debian/changelog ===
cwltool (1.0.20180302231433-1) unstable; urgency=medium

  * New upstream release (Closes: #891752)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 05 Mar 2018 06:44:41 -0800

=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python,
               python-all,
               python-avro,
               python-setuptools,
               python-rdflib,
               python-rdflib-jsonld,
               python-schema-salad (>= 2.6.20171201034858-2~),
               python-shellescape,
               python-html5lib,
               python-sparqlwrapper,
               python-keepalive,
               python-typing,
               python-ruamel.yaml,
               python-ruamel.ordereddict,
               python-pytest,
               python-pytest-runner,
               python-mock,
               nodejs,
               help2man
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cwltool.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/cwltool.git
Homepage: http://www.commonwl.org
X-Python-Version: >= 2.7

Package: cwltool
Provides: cwl-runner
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Recommends: nodejs
Description: Common Workflow Language reference implementation
 This is the reference implementation of the Common Workflow Language
 standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 DH_VERBOSE := 1
 
 export PYBUILD_NAME=cwltool
-export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py develop
-export PYBUILD_TEST_ARGS=-k 'not test_http_path_mapping and not test_pack' --ignore cwltool/schemas/ --pyarg cwltool
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
@@ -17,3 +15,12 @@
 
 override_dh_installman: debian/cwltool.1
 	dh_installman
+
+override_dh_auto_test:
+	dh_auto_install
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
+	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
+		-k 'not test_http_path_mapping and not test_pack' \
+		--ignore cwltool/schemas/ --pyarg cwltool" dh_auto_test
+

=== debian/tests/control ===
Tests: run-tests
Depends: @, python-pytest, python-mock, python-pytest-runner, nodejs
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cwltool/cwltool-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cwltool 1.0.20181217162649+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #
 # Contact: common-workflow-language@googlegroups.com
 
-# make pep8 to check for basic Python code compliance
+# make pycodestyle to check for basic Python code compliance
 # make autopep8 to fix most pep8 errors
 # make pylint to check Python code for enhanced compliance including naming
 #  and documentation
@@ -26,16 +26,24 @@
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=pep8 diff_cover autopep8 pylint coverage pydocstyle flake8 pytest isort mock
+DEVPKGS=pycodestyle diff_cover autopep8 pylint coverage pydocstyle flake8 \
+	pytest pytest-xdist isort
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
 VERSION=1.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
+UNAME_S=$(shell uname -s)
+ifeq ($(UNAME_S),Linux)
+	nproc=$(shell nproc)
+endif
+ifeq ($(UNAME_S),Darwin)
+	nproc=$(shell sysctl -n hw.physicalcpu)
+endif
 
 ## all         : default task
 all:
-	./setup.py develop
+	pip install -e .
 
 ## help        : print this help message and exit
 help: Makefile
@@ -43,7 +51,7 @@
 
 ## install-dep : install most of the development dependencies via pip
 install-dep:
-	pip install --upgrade $(DEVPKGS)
+	pip install --upgrade $(DEVPKGS) -rtest-requirements.txt
 
 ## install-deb-dep: install most of the dev dependencies via apt-get
 install-deb-dep:
@@ -51,7 +59,12 @@
 
 ## install     : install the ${MODULE} module and schema-salad-tool
 install: FORCE
-	pip install .
+	pip install .[deps]
+
+## dev     : install the ${MODULE} module in dev mode
+dev: install-dep
+	pip install -e .[deps]
+
 
 ## dist        : create a module package for distribution
 dist: dist/${MODULE}-$(VERSION).tar.gz
@@ -71,15 +84,18 @@
 sort_imports:
 	isort ${MODULE}/*.py tests/*.py setup.py
 
-## pep8        : check Python code style
-pep8: $(PYSOURCES)
-	pep8 --exclude=_version.py  --show-source --show-pep8 $^ || true
-
-pep8_report.txt: $(PYSOURCES)
-	pep8 --exclude=_version.py $^ > pep8_report.txt || true
-
-diff_pep8_report: pep8_report.txt
-	diff-quality --violations=pep8 pep8_report.txt
+pep8: pycodestyle
+## pycodestyle        : check Python code style
+pycodestyle: $(PYSOURCES)
+	pycodestyle --exclude=_version.py  --show-source --show-pep8 $^ || true
+
+pep8_report.txt: pycodestyle_report.txt
+pycodestyle_report.txt: $(PYSOURCES)
+	pycodestyle --exclude=_version.py $^ > $@ || true
+
+diff_pep8_report: diff_pycodestyle_report
+diff_pycodestyle_report: pycodestyle_report.txt
+	diff-quality --violations=pycodestyle $^
 
 pep257: pydocstyle
 ## pydocstyle      : check Python code style
@@ -87,7 +103,7 @@
 	pydocstyle --ignore=D100,D101,D102,D103 $^ || true
 
 pydocstyle_report.txt: $(PYSOURCES)
-	pydocstyle setup.py $^ > pydocstyle_report.txt 2>&1 || true
+	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
 	diff-quality --violations=pycodestyle $^
@@ -104,46 +120,48 @@
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-                $^ || true
+                $^ -j$(nproc)|| true
 
 pylint_report.txt: ${PYSOURCES}
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-		$^ > pylint_report.txt || true
+		$^ -j$(nproc)> $@ || true
 
 diff_pylint_report: pylint_report.txt
 	diff-quality --violations=pylint pylint_report.txt
 
-.coverage: $(PYSOURCES) all
-	export COVERAGE_PROCESS_START=${mkfile_dir}.coveragerc; \
-	       cd ${CWL}; ./run_test.sh RUNNER=cwltool
-	coverage run setup.py test
-	coverage combine ${CWL} ${CWL}/draft-3/ ./
+.coverage: testcov
+
+coverage: .coverage
+	coverage report
 
 coverage.xml: .coverage
-	python-coverage xml
+	coverage xml
 
 coverage.html: htmlcov/index.html
 
 htmlcov/index.html: .coverage
-	python-coverage html
+	coverage html
 	@echo Test coverage of the Python code is now in htmlcov/index.html
 
 coverage-report: .coverage
-	python-coverage report
-
-diff-cover: coverage-gcovr.xml coverage.xml
-	diff-cover coverage-gcovr.xml coverage.xml
-
-diff-cover.html: coverage-gcovr.xml coverage.xml
-	diff-cover coverage-gcovr.xml coverage.xml \
-		--html-report diff-cover.html
+	coverage report
+
+diff-cover: coverage.xml
+	diff-cover $^
+
+diff-cover.html:  coverage.xml
+	diff-cover $^ --html-report diff-cover.html
 
 ## test        : run the ${MODULE} test suite
-test: FORCE
-	./setup.py test
+test: $(pysources)
+	python setup.py test --addopts "-n$(nproc) --dist=loadfile"
+
+## testcov     : run the ${MODULE} test suite and collect coverage
+testcov: $(pysources)
+	python setup.py test --addopts "--cov cwltool -n$(nproc) --dist=loadfile"
 
 sloccount.sc: ${PYSOURCES} Makefile
-	sloccount --duplicates --wide --details $^ > sloccount.sc
+	sloccount --duplicates --wide --details $^ > $@
 
 ## sloccount   : count lines of code
 sloccount: ${PYSOURCES} Makefile
@@ -152,7 +170,6 @@
 list-author-emails:
 	@echo 'name, E-Mail Address'
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
-
 
 mypy2: ${PYSOURCES}
 	rm -Rf typeshed/2and3/ruamel/yaml
@@ -175,9 +192,11 @@
 	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 cwltool
-
-release: FORCE
+release-test: FORCE
+	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
 	./release-test.sh
+
+release: release-test
 	. testenv2/bin/activate && \
 		testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
 		pip install twine && \

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.15.77
rdflib>=4.2.2,<4.3
shellescape>=3.4.1,<3.5
schema-salad>=3.0,<3.1
typing>=3.5.3; python_version<"3.6"
pathlib2==2.3.2; python_version<"3"
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
scandir
subprocess32 >= 3.5.0; os.name=="posix" and python_version<"3.5"
typing-extensions

=== debian/changelog ===
cwltool (1.0.20181217162649+dfsg-9ubuntu2) disco; urgency=medium

  * Add python3-mypy-extensions as package dependency and autopkg test
    dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jan 2019 10:14:10 +0100

cwltool (1.0.20181217162649+dfsg-9) unstable; urgency=medium

  * Switch to python3-mypy-extensions
  * AutoPkgTest: Skip udocker tests if running as root
  * Build profiles: nodoc support, more nocheck support

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 19 Jan 2019 04:35:36 -0800

cwltool (1.0.20181217162649+dfsg-8) unstable; urgency=medium

  * debian/tests/control: udocker test needs python2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 14:53:08 -0800

cwltool (1.0.20181217162649+dfsg-7) unstable; urgency=medium

  * debian/tests/control: singularity is also not working inside autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 08:55:07 -0800

cwltool (1.0.20181217162649+dfsg-6) unstable; urgency=medium

  * debian/tests/control: testing with Docker doesn't work; add curl

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 30 Dec 2018 22:48:06 -0800

cwltool (1.0.20181217162649+dfsg-5) unstable; urgency=medium

  * debian/tests/control: needed python3-pytest-mock, not python3-mock

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 29 Dec 2018 05:36:37 -0800

cwltool (1.0.20181217162649+dfsg-4) unstable; urgency=medium

  * Keep python3-prov dependency to minimize our changes, but keep the --
    provenance feature disabled.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Dec 2018 05:12:15 -0800

cwltool (1.0.20181217162649+dfsg-3) unstable; urgency=medium

  * Fix our patches to the tests, run them in parallel

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 11:51:11 -0800

cwltool (1.0.20181217162649+dfsg-2) unstable; urgency=medium

  * debian/tests/control: fix typo in name of py.test-3
  * Standards-Version: 4.3.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 07:36:03 -0800

cwltool (1.0.20181217162649+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * New upstream release.
  * Now shipping Python 3 version
  * Remove --provenance feature until python3-prov 1.5.2+ issue is
    resolved.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 23 Dec 2018 15:24:58 -0800

=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               python3-all,
               python3-setuptools,
               python3-rdflib,
               python3-rdflib-jsonld <!nocheck>,
               python3-schema-salad (>= 3),
               python3-shellescape,
               python3-html5lib,
               python3-sparqlwrapper,
               python3-keepalive,
               python3-ruamel.yaml,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
	       python3-pytest-mock <!nocheck>,
               python3-mock <!nocheck>,
               python3-mypy-extensions,
               python3-psutil,
	       python3-prov,
               nodejs,
               help2man
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/cwltool
Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
Homepage: http://www.commonwl.org

Package: cwltool
Architecture: all
Depends: ${python3:Depends},
         python3-mypy-extensions,
         ${misc:Depends}
Recommends: nodejs
Suggests: docker.io | singularity-container
Provides: cwl-runner
Description: Common Workflow Language reference implementation
 This is the reference implementation of the Common Workflow Language
 standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-mypy-extensions, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python2
Restrictions: allow-stderr

## cwltool 1.0.20190815141648+dfsg

=== Makefile ===
--- 
+++ 
@@ -27,11 +27,11 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
 DEVPKGS=pycodestyle diff_cover autopep8 pylint coverage pydocstyle flake8 \
-	pytest pytest-xdist isort
+	pytest-xdist==1.27.0 isort wheel -rtest-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
-VERSION=1.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
-	--max-count=1 --format=format:%cI`)
+VERSION=1.0.$(shell TZ=UTC git log --first-parent --max-count=1 \
+	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
 UNAME_S=$(shell uname -s)
 ifeq ($(UNAME_S),Linux)
@@ -51,7 +51,7 @@
 
 ## install-dep : install most of the development dependencies via pip
 install-dep:
-	pip install --upgrade $(DEVPKGS) -rtest-requirements.txt
+	pip install --upgrade $(DEVPKGS)
 
 ## install-deb-dep: install most of the dev dependencies via apt-get
 install-deb-dep:
@@ -100,13 +100,13 @@
 pep257: pydocstyle
 ## pydocstyle      : check Python code style
 pydocstyle: $(PYSOURCES)
-	pydocstyle --ignore=D100,D101,D102,D103 $^ || true
+	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true
 
 pydocstyle_report.txt: $(PYSOURCES)
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --violations=pycodestyle $^
+	diff-quality --violations=pycodestyle --fail-under=100 $^
 
 ## autopep8    : fix most Python code indentation and formatting
 autopep8: $(PYSOURCES)
@@ -175,9 +175,6 @@
 	rm -Rf typeshed/2and3/ruamel/yaml
 	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
 		typeshed/2and3/ruamel/yaml
-	rm -Rf typeshed/2and3/schema_salad
-	ln -s $(shell python -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
-		typeshed/2and3/schema_salad
 	MYPYPATH=$$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 cwltool
@@ -186,9 +183,6 @@
 	rm -Rf typeshed/2and3/ruamel/yaml
 	ln -s $(shell python3 -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
 		typeshed/2and3/ruamel/yaml
-	rm -Rf typeshed/2and3/schema_salad
-	ln -s $(shell python3 -c 'from __future__ import print_function; import schema_salad; import os.path; print(os.path.dirname(schema_salad.__file__))') \
-		typeshed/2and3/schema_salad
 	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 cwltool

=== debian/changelog ===
cwltool (1.0.20190815141648+dfsg-1ubuntu2) eoan; urgency=medium

  * debian/patches/s390x-no-sys-class-power.patch: handle psutils.tests
    not being importable on s390x.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Aug 2019 12:02:53 -0700

cwltool (1.0.20190815141648+dfsg-1ubuntu1) eoan; urgency=medium

  * Add missing test dependency on python3-mock.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Aug 2019 18:52:12 -0700

cwltool (1.0.20190815141648+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * debian/patches/pathlib2: no need for this backport with Python 3.7

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 15:29:27 +0200

cwltool (1.0.20181217162649+dfsg-10) unstable; urgency=medium

  * Make explicit the dependency on python3-mypy-extenions.
    Closes: #920251, #920270

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 22 Jan 2019 16:01:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: cwltool
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-all,
                python3-setuptools,
+               python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>= 3),
+               python3-schema-salad (>=4.5),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -19,23 +21,23 @@
                python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
-	       python3-pytest-mock <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-mock <!nocheck>,
                python3-mypy-extensions,
                python3-psutil,
-	       python3-prov,
+               python3-prov,
                nodejs,
                help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
-Homepage: http://www.commonwl.org
+Homepage: https://www.commonwl.org
 
 Package: cwltool
 Architecture: all
 Depends: ${python3:Depends},
-         python3-mypy-extensions,
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-mypy-extensions
 Recommends: nodejs
 Suggests: docker.io | singularity-container
 Provides: cwl-runner

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, python3-mock, nodejs, curl, python2
Restrictions: allow-stderr

## cwltool 1.0.20190915164430+dfsg

=== Makefile ===
--- 
+++ 
@@ -34,12 +34,6 @@
 	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
 UNAME_S=$(shell uname -s)
-ifeq ($(UNAME_S),Linux)
-	nproc=$(shell nproc)
-endif
-ifeq ($(UNAME_S),Darwin)
-	nproc=$(shell sysctl -n hw.physicalcpu)
-endif
 
 ## all         : default task
 all:
@@ -120,11 +114,11 @@
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-                $^ -j$(nproc)|| true
+                $^ -j0|| true
 
 pylint_report.txt: ${PYSOURCES}
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-		$^ -j$(nproc)> $@ || true
+		$^ -j0> $@ || true
 
 diff_pylint_report: pylint_report.txt
 	diff-quality --violations=pylint pylint_report.txt
@@ -154,11 +148,11 @@
 
 ## test        : run the ${MODULE} test suite
 test: $(pysources)
-	python setup.py test --addopts "-n$(nproc) --dist=loadfile"
+	python setup.py test --addopts "-n auto --dist=loadfile"
 
 ## testcov     : run the ${MODULE} test suite and collect coverage
 testcov: $(pysources)
-	python setup.py test --addopts "--cov cwltool -n$(nproc) --dist=loadfile"
+	python setup.py test --addopts "--cov cwltool -n auto --dist=loadfile"
 
 sloccount.sc: ${PYSOURCES} Makefile
 	sloccount --duplicates --wide --details $^ > $@

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.15.97
rdflib>=4.2.2,<4.3
shellescape>=3.4.1,<3.5
schema-salad>=4.5,<5
typing>=3.5.3; python_version<"3.6"
pathlib2 != 2.3.1
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
scandir
subprocess32 >= 3.5.0; os.name=="posix" and python_version<"3.5"
typing-extensions
coloredlogs
future

=== debian/changelog ===
cwltool (1.0.20190915164430+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Sep 2019 21:17:19 +0200

cwltool (1.0.20190815141648+dfsg-2) unstable; urgency=medium

  * Fix AutoPkgTest requirements (Closes: #935579)
  * debian/patches/s390x-no-sys-class-power.patch: Fix s390x build,
    courtesy Steve Langasek <steve.langasek@ubuntu.com>, thanks!
    Closes: #935743

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 26 Aug 2019 07:16:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cwltool
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               procps,
                python3,
                python3-all,
                python3-setuptools,
